Issue #8400 has been updated by Hiroshi SHIBATA.

Target version changed from 2.1.0 to current: 2.2.0

----------------------------------------
Bug #8400: skip `Rinda::TestRingFinger` tests on platforms not implementing `getifaddrs()`
https://bugs.ruby-lang.org/issues/8400#change-44713

* Author: Jon Forums
* Status: Open
* Priority: Normal
* Assignee: 
* Category: core
* Target version: current: 2.2.0
* ruby -v: ruby -v: ruby 2.1.0dev (2013-05-12 trunk 40676) [i386-mingw32]
* Backport: 1.9.3: UNKNOWN, 2.0.0: UNKNOWN
----------------------------------------
The 32 and 64bit trunk builds at ci.rubyinstaller.org are failing `make test-all`

  32bit => http://ci.rubyinstaller.org/view/Ruby%20Trunk/job/ruby-trunk-x86-test-all/1333/console
  64bit => http://ci.rubyinstaller.org/view/Ruby%20Trunk/job/ruby-trunk-x64-test-all/1218/console

as is my Win7 32bit system because non applicable tests are being allowed to fail with `NotImplementedError` rather than being skipped:

[ 1948/13374] Rinda::TestRingFinger#test_make_socket_ipv6_multicast = 0.00 s
  7) Error:
Rinda::TestRingFinger#test_make_socket_ipv6_multicast:
NotImplementedError: getifaddrs() function is unimplemented on this machine
    c:/Users/Jon/Documents/RubyDev/ruby-git/test/rinda/test_rinda.rb:535:in `getifaddrs'
    c:/Users/Jon/Documents/RubyDev/ruby-git/test/rinda/test_rinda.rb:535:in `prepare_ipv6'
    c:/Users/Jon/Documents/RubyDev/ruby-git/test/rinda/test_rinda.rb:665:in `test_make_socket_ipv6_multicast'

[ 1949/13374] Rinda::TestRingFinger#test_make_socket_ipv6_multicast_hops = 0.00 s
  8) Error:
Rinda::TestRingFinger#test_make_socket_ipv6_multicast_hops:
NotImplementedError: getifaddrs() function is unimplemented on this machine
    c:/Users/Jon/Documents/RubyDev/ruby-git/test/rinda/test_rinda.rb:535:in `getifaddrs'
    c:/Users/Jon/Documents/RubyDev/ruby-git/test/rinda/test_rinda.rb:535:in `prepare_ipv6'
    c:/Users/Jon/Documents/RubyDev/ruby-git/test/rinda/test_rinda.rb:679:in `test_make_socket_ipv6_multicast_hops'

Also, after you've made a commit, I ask that you swing by http://ci.rubyinstaller.org/ to double-check that your
commit didn't break the relevant mingw-based Windows build.

Jon



-- 
http://bugs.ruby-lang.org/